package br.usp.ime.mac499.xba.ast;

import br.usp.ime.mac499.xba.parser.Token;
import br.usp.ime.mac499.xba.parser.XBAParser;

/**
 * Nó que representa um assignment - não está sendo usado em programas comuns.
 * @author stagni
 *
 */
public class ASTAssignment extends SimpleNode {
	private Token idToken;
	public ASTAssignment(XBAParser p, int i) {
		super(p, i);
	}
	public ASTAssignment(int i) {
		super(i);
	}
	public Token idToken() {
		return idToken;
	}
	
	public String id() {
		return idToken.image;
	}
	
	public void setIdToken(Token idToken) {
		this.idToken = idToken;
	}
	
	public Node rvalue() {
		return jjtGetChild(0);
	}
}
