package br.usp.ime.mac499.xba.ast;

import br.usp.ime.mac499.xba.parser.XBAParser;

/**
 * Representa um literal booleano
 * 
 * @author stagni
 *
 */
public class ASTBooleanLiteral extends SimpleNode {
	boolean value;
	public ASTBooleanLiteral(XBAParser p, int i) {
		super(p, i);
	}

	public ASTBooleanLiteral(int i) {
		super(i);
	}
	
	public void value(boolean value) { 
		this.value = value;
	}
	
	public boolean value() {
		return value;
	}
}