package br.usp.ime.mac499.xba.ast;

import br.usp.ime.mac499.xba.parser.Token;
import br.usp.ime.mac499.xba.parser.XBAParser;

/**
 * Definição de campo. Expressões da forma "field id = expr" produzem nós desse tipo
 * @author stagni
 *
 */
public class ASTFieldDefinition extends SimpleNode {
	Token fieldName;
	public ASTFieldDefinition(XBAParser p, int i) {
		super(p, i);
	}
	public ASTFieldDefinition(int i) {
		super(i);
	}
	
	public void name(Token fieldName) {
		this.fieldName = fieldName;
	}
	
	public String name() {
		return fieldName.image;
	}
	
	public Node initializedTo() {
		return jjtGetChild(0);
	}
}