package br.usp.ime.mac499.xba.ast;
import br.usp.ime.mac499.xba.parser.XBAParser;

/**
 * Representa um if..then..else
 * @author stagni
 *
 */
public class ASTIf extends SimpleNode {
	public ASTIf(XBAParser p, int i) {
		super(p, i);
	}
	public ASTIf(int i) {
		super(i);
	}
	

	public Node condition() {
		return jjtGetChild(0);
	}
	
	public Node thenExpression() {
		return jjtGetChild(1);
	}
	
	public Node elseExpression() {
		return jjtGetChild(2);
	}
	
	
}
