package br.usp.ime.mac499.xba.ast;

import java.util.ArrayList;
import java.util.List;

import br.usp.ime.mac499.xba.parser.Token;
import br.usp.ime.mac499.xba.parser.XBAParser;

/** Nó que representa um let
 * 
 * @author stagni
 *
 */
public class ASTLet extends SimpleNode {
	List<Token> ids = new ArrayList<Token>();
	public ASTLet(XBAParser p, int i) {
		super(p, i);
	}

	public ASTLet(int i) {
		super(i);
	}
	
	public void addId(Token id) {
		this.ids.add(id);
	}
	
	public int numberOfBindings() {
		return ids.size();
	}
	
	public String idBinding(int k) {
		return ids.get(k).image;
	}
	
	public Node boundExpression(int k) {
		return jjtGetChild(k);
	}
		
	public Node bodyExpression() {
		return jjtGetChild(numberOfBindings());
	}
}
