package br.usp.ime.mac499.xba.parser;

import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.InputStreamReader;
import java.io.Reader;
import java.io.UnsupportedEncodingException;

import br.usp.ime.mac499.xba.ast.ASTModule;
import br.usp.ime.mac499.xba.ast.SimpleNode;
import br.usp.ime.mac499.xba.preprocess.WhitespacePreprocesserReader;

public class XBAFullParser extends XBAParser{
	
	public XBAFullParser(Reader reader) {		
		super(new WhitespacePreprocesserReader(reader));
	}
	
	public XBAFullParser(String fileName) throws UnsupportedEncodingException, FileNotFoundException {
		this(new InputStreamReader(new FileInputStream(fileName), "UTF-8"));
	}	
}
