package br.usp.ime.mac499.xba.runtime;

import br.usp.ime.mac499.xba.transformer.XBAClass;
import br.usp.ime.mac499.xba.transformer.XBAMethod;

@XBAClass(name = "XBAPrinter")
public class XBAPrinter extends XBAObject { 
	 
	@XBAMethod(selectors = { "apply" }) 
	public XBAObject apply(XBAObject printable) { 
		XBAFunction function = printable.method("to-string");
		XBAString str = null;
		try { 
			 str = (XBAString) function.apply(XBAUnit.instance);
		} catch (Throwable e) { 
			e.printStackTrace();
		} // TODO: Swallow..
		System.out.println(str.string);
		return XBAUnit.instance;
	}
	   
	@XBAMethod(selectors = { "new:" })
	public static XBAObject constructor(XBAObject unit) {
		return new XBAPrinter();		  
	}
	
	public static final XBAObject $$print = new XBAPrinter(); 
}
