package br.usp.ime.mac499.xba.types;

public abstract class BasicTypes extends ObjectType {
	public static ObjectType Int = new ObjectType();
	public static ObjectType Bool = new ObjectType();
	public static ObjectType Unit = new ObjectType();
	
	static {	
		Int.add("+", Int, Int);
		Int.add("-", Int, Int);
		Int.add("*", Int, Int);
		Int.add("/", Int, Int);
		Int.add(">", Int, Bool);
		Int.add("<", Int, Bool);
		
		
		Bool.add("and", Bool, Bool);
		Bool.add("or", Bool, Bool);
		Bool.add("not", Unit, Bool);
	}
}
