package br.usp.ime.mac499.xba.ast;

import br.usp.ime.mac499.xba.parser.Token;
import br.usp.ime.mac499.xba.parser.XBAParser;

/**
 * Representa um mensagem unária da forma expressao seletor!
 * @author stagni
 *
 */
public class ASTUnaryMessage extends SimpleNode {
	private Token selectorToken;
	public ASTUnaryMessage(XBAParser p, int i) {
		super(p, i);
	}
	public ASTUnaryMessage(int i) {
		super(i);
	}
	
	public Token selectorToken() {
		return selectorToken;
	}	
	
	public String selector() {
		return ASTUtils.selector2name(selectorToken.image);
	}
	public void setSelectorToken(Token selectorToken) {
		this.selectorToken = selectorToken;
	}
	
	public Node receiver() {
		return jjtGetChild(0);
	}
}
