package br.usp.ime.mac499.xba.runtime;

import br.usp.ime.mac499.xba.transformer.XBAClass;
import br.usp.ime.mac499.xba.transformer.XBAMethod;

@XBAClass(name = "XBAString")
public class XBAString extends XBAObject {
	public final String string;
	
	public XBAString(String string) {
		this.string = string;
	} 
	
	@XBAMethod(selectors = { "new:" })
	public static XBAObject constructor(XBAObject unit) {
		return new XBAString("");
	}
	
	@XBAMethod(selectors = { "to-string" }) 
	public XBAObject toString(XBAObject unit) {
		return this;
	}
	
	@XBAMethod(selectors = { "+"}) 
	public XBAObject concat(XBAObject otherString) {
		return new XBAString(string + ((XBAString)otherString).string);
	}
}
