package br.usp.ime.mac499.xba.types;

import static org.junit.Assert.assertEquals;
import static org.junit.Assert.assertFalse;
import static org.junit.Assert.assertTrue;

import org.junit.Test;

import br.usp.ime.mac499.xba.types.inference.Unifier;

public class UnificatonTest {
	
	Unifier unifier = new Unifier();
	@Test
	public void unificationFailsOnTwoBasicTypes() {
		assertFalse(unifier.unify(BasicTypes.Int, BasicTypes.Bool));
	}
	
	@Test
	public void canUnificationWithVar() {
		TypeVariable t = new TypeVariable();
		assertTrue(unifier.unify(BasicTypes.Int, t));
		assertEquals(BasicTypes.Int, unifier.extract(t));
	}
}
